---
# DESY Public Dataset Metadata definition © 2024 by Deutsches
# Elektronen-Synchrotron DESY is licensed under CC BY 4.0
id: https://public-data.desy.de/metadata/common/2
name: test
prefixes:
  linkml: https://w3id.org/linkml/
  schema: http://schema.org/
  UO: http://purl.obolibrary.org/obo/UO_
  qudt: http://qudt.org/schema/qudt/
  unit: http://qudt.org/vocab/unit/
  OM: http://www.ontology-of-units-of-measure.org/resource/om-2/
  nerc: http://vocab.nerc.ac.uk/collection/P06/current/
imports: [linkml:types, base_types, base_sample, base_catalogue_metadata]
default_range: string
classes:
  BaseDatasetMetadataFile:
  # TODO should mainly follow ASAP3 json ... to be seen with Andre R and Martin G
    abstract: true
    mixin: true
    attributes:
      creationTime:
        description: Time when dataset became fully available on disk, i.e. all containing
          files have been written. Format according to chapter 5.6 internet date/time
          format in RFC 3339. Local times without timezone/offset info are automatically
          transformed to UTC using the timezone of the API server.

  # TODO: to be seen if these classes should actually include all what is kept in the catalog or if they should be orthogonal
  PetraDatasetMetadataFile:
    mixins: [BaseDatasetMetadataFile]
    abstract: true
    description: base for _informative_ metadata, that does not need to be part of
      the catalog, a.k.a. not searchable. Basically this is meant to extend/complement
      what is captured in the catalog".
    is_a: PetraScientificMetadata
  FlashDatasetMetadataFile:
    mixins: [BaseDatasetMetadataFile]
    abstract: true
    description: base for _informative_ metadata, that does not need to be part of
      the catalog, a.k.a. not searchable. Basically this is meant to extend/complement
      what is captured in the catalog".
    is_a: FlashScientificMetadata
